Bug 118806 - /net-mounted subdirs become invisible after enclosing dir is remounted
/net-mounted subdirs become invisible after enclosing dir is remounted
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-20 13:50 EST by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 11:11:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-03-20 13:50:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
If a host exports say both /mnt and /mnt/dir, when /mnt becomes
inactive, if you access /mnt/dir again, you get the contents of
/mnt/dir before /mnt/dir was mounted there.

Version-Release number of selected component (if applicable):
autofs-4.1.1-3

How reproducible:
Always

Steps to Reproduce:
1.export /mnt and /mnt/dir on host A, where /mnt/dir is the mount
point of a separate directory
2.cd /net/A/mnt/dir on another host
3.wait until the /net/A/mnt times out
4.ls /net/A/mnt/dir (not just ls . ! :-)

Actual Results:  You get an empty dir

Expected Results:  The contents of the /mnt/dir filesystem

Additional info:

mount shows that /net/A/mnt was mounted *after* /net/A/mnt/dir; that's
probably why the problem occurs.
Comment 1 Jeffrey Moyer 2004-03-25 18:24:49 EST
Could you please post your configuration files?  Thanks.
Comment 2 Alexandre Oliva 2004-03-25 21:22:10 EST
Server or client?  On the autofs-running host, all I did was to
uncomment the auto.net entry.  On the server, I just exported a
directory and a few other mountpoints within it.
Comment 3 Jeffrey Moyer 2005-04-05 16:02:10 EDT
Please try the package located here:
  http://people.redhat.com/jmoyer/autofs/fc4/4.1.3-123

There was a patch committed here that fixes the mount order issue.  Let me know
if this resolves your problem.

Thanks!
Comment 4 Jeffrey Moyer 2005-10-21 11:11:15 EDT
I haven't heard anything back on this for some time.  If the problem persists,
please re-open this bugzilla.  I'm closing this bug as WORKSFORME, since the
problem is fixed in my environment.

Note You need to log in before you can comment on or make changes to this bug.